import { Meta, Story, Props, Preview } from '@storybook/addon-docs/blocks';
import { PropsTable } from '@storybook/components';
import { Settings } from '.';
import {Box} from 'rebass'
import {getEditProfileProps} from 'ui/mock/context'
import {WithoutSidebar} from 'ui/templates/withoutSidebar'

<Meta title="Pages|Settings" component={Settings}/>


# Settings
Let's define a story for the `Settings` page

<Preview>
  <Story name="Settings page">
    <WithoutSidebar>
      <Settings {...getEditProfileProps()} />
    </WithoutSidebar>
  </Story>
</Preview>
